-- License: Public Domain

local f = CreateFrame("Frame")

function f:OnEvent(event, addon)
	if addon == "Blizzard_TalkingHeadUI" then
		hooksecurefunc("TalkingHeadFrame_PlayCurrent", function()
			PlaySoundFile("Interface\\Addons\\StarFoxHead\\radioTransmissionStart.ogg", "Dialog")
		end)
		self:UnregisterEvent(event)
	end
	if addon == "Blizzard_TalkingHeadUI" then
		hooksecurefunc("TalkingHeadFrame_VOComplete", function()
			PlaySoundFile("Interface\\Addons\\StarFoxHead\\radioTransmissionEnd.ogg", "Dialog")			
			TalkingHeadFrame_CloseImmediately();
		end)
		self:UnregisterEvent(event)
	end
end

f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", f.OnEvent)
